IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network154.3.32.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
- Network address
154.3.32.0- Broadcast address
154.3.63.255- First usable
154.3.32.1- Last usable
154.3.63.254- Usable hosts
- 8,190 (8,192 less the network and broadcast addresses)
- Subnet mask
255.255.224.0- Wildcard mask
0.0.31.255(Cisco ACLs, OSPF)- Prefix length
- /19
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
9A032000· Integer2583896064to2583904255 - Reverse DNS zones
32.3.154.in-addr.arpa33.3.154.in-addr.arpa34.3.154.in-addr.arpa35.3.154.in-addr.arpa36.3.154.in-addr.arpa37.3.154.in-addr.arpa38.3.154.in-addr.arpa39.3.154.in-addr.arpa40.3.154.in-addr.arpa41.3.154.in-addr.arpa42.3.154.in-addr.arpa43.3.154.in-addr.arpa44.3.154.in-addr.arpa45.3.154.in-addr.arpa46.3.154.in-addr.arpa47.3.154.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10011010.00000011.00100000.00000000 | 154.3.32.0 |
| Subnet mask | 11111111.11111111.11100000.00000000 | 255.255.224.0 |
| Network | 10011010.00000011.00100000.00000000 | 154.3.32.0 |
| Broadcast | 10011010.00000011.00111111.11111111 | 154.3.63.255 |
Split into smaller subnets
/20 (2)/21 (4)/22 (8)/23 (16)/24 (32)/25 (64)/26 (128)/27 (256)/28 (512)/29 (1,024)/30 (2,048)/31 (4,096)
154.3.32.0/19 makes 4,096 subnets of /31; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 154.3.32.0/31 | 154.3.32.0 to 154.3.32.1 | — | 2 |
| 2 | 154.3.32.2/31 | 154.3.32.2 to 154.3.32.3 | — | 2 |
| 3 | 154.3.32.4/31 | 154.3.32.4 to 154.3.32.5 | — | 2 |
| 4 | 154.3.32.6/31 | 154.3.32.6 to 154.3.32.7 | — | 2 |
| 5 | 154.3.32.8/31 | 154.3.32.8 to 154.3.32.9 | — | 2 |
| 6 | 154.3.32.10/31 | 154.3.32.10 to 154.3.32.11 | — | 2 |
| 7 | 154.3.32.12/31 | 154.3.32.12 to 154.3.32.13 | — | 2 |
| 8 | 154.3.32.14/31 | 154.3.32.14 to 154.3.32.15 | — | 2 |
| 9 | 154.3.32.16/31 | 154.3.32.16 to 154.3.32.17 | — | 2 |
| 10 | 154.3.32.18/31 | 154.3.32.18 to 154.3.32.19 | — | 2 |
| 11 | 154.3.32.20/31 | 154.3.32.20 to 154.3.32.21 | — | 2 |
| 12 | 154.3.32.22/31 | 154.3.32.22 to 154.3.32.23 | — | 2 |
| 13 | 154.3.32.24/31 | 154.3.32.24 to 154.3.32.25 | — | 2 |
| 14 | 154.3.32.26/31 | 154.3.32.26 to 154.3.32.27 | — | 2 |
| 15 | 154.3.32.28/31 | 154.3.32.28 to 154.3.32.29 | — | 2 |
| 16 | 154.3.32.30/31 | 154.3.32.30 to 154.3.32.31 | — | 2 |
| 17 | 154.3.32.32/31 | 154.3.32.32 to 154.3.32.33 | — | 2 |
| 18 | 154.3.32.34/31 | 154.3.32.34 to 154.3.32.35 | — | 2 |
| 19 | 154.3.32.36/31 | 154.3.32.36 to 154.3.32.37 | — | 2 |
| 20 | 154.3.32.38/31 | 154.3.32.38 to 154.3.32.39 | — | 2 |
| 21 | 154.3.32.40/31 | 154.3.32.40 to 154.3.32.41 | — | 2 |
| 22 | 154.3.32.42/31 | 154.3.32.42 to 154.3.32.43 | — | 2 |
| 23 | 154.3.32.44/31 | 154.3.32.44 to 154.3.32.45 | — | 2 |
| 24 | 154.3.32.46/31 | 154.3.32.46 to 154.3.32.47 | — | 2 |
| 25 | 154.3.32.48/31 | 154.3.32.48 to 154.3.32.49 | — | 2 |
| 26 | 154.3.32.50/31 | 154.3.32.50 to 154.3.32.51 | — | 2 |
| 27 | 154.3.32.52/31 | 154.3.32.52 to 154.3.32.53 | — | 2 |
| 28 | 154.3.32.54/31 | 154.3.32.54 to 154.3.32.55 | — | 2 |
| 29 | 154.3.32.56/31 | 154.3.32.56 to 154.3.32.57 | — | 2 |
| 30 | 154.3.32.58/31 | 154.3.32.58 to 154.3.32.59 | — | 2 |
| 31 | 154.3.32.60/31 | 154.3.32.60 to 154.3.32.61 | — | 2 |
| 32 | 154.3.32.62/31 | 154.3.32.62 to 154.3.32.63 | — | 2 |
| 33 | 154.3.32.64/31 | 154.3.32.64 to 154.3.32.65 | — | 2 |
| 34 | 154.3.32.66/31 | 154.3.32.66 to 154.3.32.67 | — | 2 |
| 35 | 154.3.32.68/31 | 154.3.32.68 to 154.3.32.69 | — | 2 |
| 36 | 154.3.32.70/31 | 154.3.32.70 to 154.3.32.71 | — | 2 |
| 37 | 154.3.32.72/31 | 154.3.32.72 to 154.3.32.73 | — | 2 |
| 38 | 154.3.32.74/31 | 154.3.32.74 to 154.3.32.75 | — | 2 |
| 39 | 154.3.32.76/31 | 154.3.32.76 to 154.3.32.77 | — | 2 |
| 40 | 154.3.32.78/31 | 154.3.32.78 to 154.3.32.79 | — | 2 |
| 41 | 154.3.32.80/31 | 154.3.32.80 to 154.3.32.81 | — | 2 |
| 42 | 154.3.32.82/31 | 154.3.32.82 to 154.3.32.83 | — | 2 |
| 43 | 154.3.32.84/31 | 154.3.32.84 to 154.3.32.85 | — | 2 |
| 44 | 154.3.32.86/31 | 154.3.32.86 to 154.3.32.87 | — | 2 |
| 45 | 154.3.32.88/31 | 154.3.32.88 to 154.3.32.89 | — | 2 |
| 46 | 154.3.32.90/31 | 154.3.32.90 to 154.3.32.91 | — | 2 |
| 47 | 154.3.32.92/31 | 154.3.32.92 to 154.3.32.93 | — | 2 |
| 48 | 154.3.32.94/31 | 154.3.32.94 to 154.3.32.95 | — | 2 |
| 49 | 154.3.32.96/31 | 154.3.32.96 to 154.3.32.97 | — | 2 |
| 50 | 154.3.32.98/31 | 154.3.32.98 to 154.3.32.99 | — | 2 |
| 51 | 154.3.32.100/31 | 154.3.32.100 to 154.3.32.101 | — | 2 |
| 52 | 154.3.32.102/31 | 154.3.32.102 to 154.3.32.103 | — | 2 |
| 53 | 154.3.32.104/31 | 154.3.32.104 to 154.3.32.105 | — | 2 |
| 54 | 154.3.32.106/31 | 154.3.32.106 to 154.3.32.107 | — | 2 |
| 55 | 154.3.32.108/31 | 154.3.32.108 to 154.3.32.109 | — | 2 |
| 56 | 154.3.32.110/31 | 154.3.32.110 to 154.3.32.111 | — | 2 |
| 57 | 154.3.32.112/31 | 154.3.32.112 to 154.3.32.113 | — | 2 |
| 58 | 154.3.32.114/31 | 154.3.32.114 to 154.3.32.115 | — | 2 |
| 59 | 154.3.32.116/31 | 154.3.32.116 to 154.3.32.117 | — | 2 |
| 60 | 154.3.32.118/31 | 154.3.32.118 to 154.3.32.119 | — | 2 |
| 61 | 154.3.32.120/31 | 154.3.32.120 to 154.3.32.121 | — | 2 |
| 62 | 154.3.32.122/31 | 154.3.32.122 to 154.3.32.123 | — | 2 |
| 63 | 154.3.32.124/31 | 154.3.32.124 to 154.3.32.125 | — | 2 |
| 64 | 154.3.32.126/31 | 154.3.32.126 to 154.3.32.127 | — | 2 |
| 65 | 154.3.32.128/31 | 154.3.32.128 to 154.3.32.129 | — | 2 |
| 66 | 154.3.32.130/31 | 154.3.32.130 to 154.3.32.131 | — | 2 |
| 67 | 154.3.32.132/31 | 154.3.32.132 to 154.3.32.133 | — | 2 |
| 68 | 154.3.32.134/31 | 154.3.32.134 to 154.3.32.135 | — | 2 |
| 69 | 154.3.32.136/31 | 154.3.32.136 to 154.3.32.137 | — | 2 |
| 70 | 154.3.32.138/31 | 154.3.32.138 to 154.3.32.139 | — | 2 |
| 71 | 154.3.32.140/31 | 154.3.32.140 to 154.3.32.141 | — | 2 |
| 72 | 154.3.32.142/31 | 154.3.32.142 to 154.3.32.143 | — | 2 |
| 73 | 154.3.32.144/31 | 154.3.32.144 to 154.3.32.145 | — | 2 |
| 74 | 154.3.32.146/31 | 154.3.32.146 to 154.3.32.147 | — | 2 |
| 75 | 154.3.32.148/31 | 154.3.32.148 to 154.3.32.149 | — | 2 |
| 76 | 154.3.32.150/31 | 154.3.32.150 to 154.3.32.151 | — | 2 |
| 77 | 154.3.32.152/31 | 154.3.32.152 to 154.3.32.153 | — | 2 |
| 78 | 154.3.32.154/31 | 154.3.32.154 to 154.3.32.155 | — | 2 |
| 79 | 154.3.32.156/31 | 154.3.32.156 to 154.3.32.157 | — | 2 |
| 80 | 154.3.32.158/31 | 154.3.32.158 to 154.3.32.159 | — | 2 |
| 81 | 154.3.32.160/31 | 154.3.32.160 to 154.3.32.161 | — | 2 |
| 82 | 154.3.32.162/31 | 154.3.32.162 to 154.3.32.163 | — | 2 |
| 83 | 154.3.32.164/31 | 154.3.32.164 to 154.3.32.165 | — | 2 |
| 84 | 154.3.32.166/31 | 154.3.32.166 to 154.3.32.167 | — | 2 |
| 85 | 154.3.32.168/31 | 154.3.32.168 to 154.3.32.169 | — | 2 |
| 86 | 154.3.32.170/31 | 154.3.32.170 to 154.3.32.171 | — | 2 |
| 87 | 154.3.32.172/31 | 154.3.32.172 to 154.3.32.173 | — | 2 |
| 88 | 154.3.32.174/31 | 154.3.32.174 to 154.3.32.175 | — | 2 |
| 89 | 154.3.32.176/31 | 154.3.32.176 to 154.3.32.177 | — | 2 |
| 90 | 154.3.32.178/31 | 154.3.32.178 to 154.3.32.179 | — | 2 |
| 91 | 154.3.32.180/31 | 154.3.32.180 to 154.3.32.181 | — | 2 |
| 92 | 154.3.32.182/31 | 154.3.32.182 to 154.3.32.183 | — | 2 |
| 93 | 154.3.32.184/31 | 154.3.32.184 to 154.3.32.185 | — | 2 |
| 94 | 154.3.32.186/31 | 154.3.32.186 to 154.3.32.187 | — | 2 |
| 95 | 154.3.32.188/31 | 154.3.32.188 to 154.3.32.189 | — | 2 |
| 96 | 154.3.32.190/31 | 154.3.32.190 to 154.3.32.191 | — | 2 |
| 97 | 154.3.32.192/31 | 154.3.32.192 to 154.3.32.193 | — | 2 |
| 98 | 154.3.32.194/31 | 154.3.32.194 to 154.3.32.195 | — | 2 |
| 99 | 154.3.32.196/31 | 154.3.32.196 to 154.3.32.197 | — | 2 |
| 100 | 154.3.32.198/31 | 154.3.32.198 to 154.3.32.199 | — | 2 |
| 101 | 154.3.32.200/31 | 154.3.32.200 to 154.3.32.201 | — | 2 |
| 102 | 154.3.32.202/31 | 154.3.32.202 to 154.3.32.203 | — | 2 |
| 103 | 154.3.32.204/31 | 154.3.32.204 to 154.3.32.205 | — | 2 |
| 104 | 154.3.32.206/31 | 154.3.32.206 to 154.3.32.207 | — | 2 |
| 105 | 154.3.32.208/31 | 154.3.32.208 to 154.3.32.209 | — | 2 |
| 106 | 154.3.32.210/31 | 154.3.32.210 to 154.3.32.211 | — | 2 |
| 107 | 154.3.32.212/31 | 154.3.32.212 to 154.3.32.213 | — | 2 |
| 108 | 154.3.32.214/31 | 154.3.32.214 to 154.3.32.215 | — | 2 |
| 109 | 154.3.32.216/31 | 154.3.32.216 to 154.3.32.217 | — | 2 |
| 110 | 154.3.32.218/31 | 154.3.32.218 to 154.3.32.219 | — | 2 |
| 111 | 154.3.32.220/31 | 154.3.32.220 to 154.3.32.221 | — | 2 |
| 112 | 154.3.32.222/31 | 154.3.32.222 to 154.3.32.223 | — | 2 |
| 113 | 154.3.32.224/31 | 154.3.32.224 to 154.3.32.225 | — | 2 |
| 114 | 154.3.32.226/31 | 154.3.32.226 to 154.3.32.227 | — | 2 |
| 115 | 154.3.32.228/31 | 154.3.32.228 to 154.3.32.229 | — | 2 |
| 116 | 154.3.32.230/31 | 154.3.32.230 to 154.3.32.231 | — | 2 |
| 117 | 154.3.32.232/31 | 154.3.32.232 to 154.3.32.233 | — | 2 |
| 118 | 154.3.32.234/31 | 154.3.32.234 to 154.3.32.235 | — | 2 |
| 119 | 154.3.32.236/31 | 154.3.32.236 to 154.3.32.237 | — | 2 |
| 120 | 154.3.32.238/31 | 154.3.32.238 to 154.3.32.239 | — | 2 |
| 121 | 154.3.32.240/31 | 154.3.32.240 to 154.3.32.241 | — | 2 |
| 122 | 154.3.32.242/31 | 154.3.32.242 to 154.3.32.243 | — | 2 |
| 123 | 154.3.32.244/31 | 154.3.32.244 to 154.3.32.245 | — | 2 |
| 124 | 154.3.32.246/31 | 154.3.32.246 to 154.3.32.247 | — | 2 |
| 125 | 154.3.32.248/31 | 154.3.32.248 to 154.3.32.249 | — | 2 |
| 126 | 154.3.32.250/31 | 154.3.32.250 to 154.3.32.251 | — | 2 |
| 127 | 154.3.32.252/31 | 154.3.32.252 to 154.3.32.253 | — | 2 |
| 128 | 154.3.32.254/31 | 154.3.32.254 to 154.3.32.255 | — | 2 |
| 129 | 154.3.33.0/31 | 154.3.33.0 to 154.3.33.1 | — | 2 |
| 130 | 154.3.33.2/31 | 154.3.33.2 to 154.3.33.3 | — | 2 |
| 131 | 154.3.33.4/31 | 154.3.33.4 to 154.3.33.5 | — | 2 |
| 132 | 154.3.33.6/31 | 154.3.33.6 to 154.3.33.7 | — | 2 |
| 133 | 154.3.33.8/31 | 154.3.33.8 to 154.3.33.9 | — | 2 |
| 134 | 154.3.33.10/31 | 154.3.33.10 to 154.3.33.11 | — | 2 |
| 135 | 154.3.33.12/31 | 154.3.33.12 to 154.3.33.13 | — | 2 |
| 136 | 154.3.33.14/31 | 154.3.33.14 to 154.3.33.15 | — | 2 |
| 137 | 154.3.33.16/31 | 154.3.33.16 to 154.3.33.17 | — | 2 |
| 138 | 154.3.33.18/31 | 154.3.33.18 to 154.3.33.19 | — | 2 |
| 139 | 154.3.33.20/31 | 154.3.33.20 to 154.3.33.21 | — | 2 |
| 140 | 154.3.33.22/31 | 154.3.33.22 to 154.3.33.23 | — | 2 |
| 141 | 154.3.33.24/31 | 154.3.33.24 to 154.3.33.25 | — | 2 |
| 142 | 154.3.33.26/31 | 154.3.33.26 to 154.3.33.27 | — | 2 |
| 143 | 154.3.33.28/31 | 154.3.33.28 to 154.3.33.29 | — | 2 |
| 144 | 154.3.33.30/31 | 154.3.33.30 to 154.3.33.31 | — | 2 |
| 145 | 154.3.33.32/31 | 154.3.33.32 to 154.3.33.33 | — | 2 |
| 146 | 154.3.33.34/31 | 154.3.33.34 to 154.3.33.35 | — | 2 |
| 147 | 154.3.33.36/31 | 154.3.33.36 to 154.3.33.37 | — | 2 |
| 148 | 154.3.33.38/31 | 154.3.33.38 to 154.3.33.39 | — | 2 |
| 149 | 154.3.33.40/31 | 154.3.33.40 to 154.3.33.41 | — | 2 |
| 150 | 154.3.33.42/31 | 154.3.33.42 to 154.3.33.43 | — | 2 |
| 151 | 154.3.33.44/31 | 154.3.33.44 to 154.3.33.45 | — | 2 |
| 152 | 154.3.33.46/31 | 154.3.33.46 to 154.3.33.47 | — | 2 |
| 153 | 154.3.33.48/31 | 154.3.33.48 to 154.3.33.49 | — | 2 |
| 154 | 154.3.33.50/31 | 154.3.33.50 to 154.3.33.51 | — | 2 |
| 155 | 154.3.33.52/31 | 154.3.33.52 to 154.3.33.53 | — | 2 |
| 156 | 154.3.33.54/31 | 154.3.33.54 to 154.3.33.55 | — | 2 |
| 157 | 154.3.33.56/31 | 154.3.33.56 to 154.3.33.57 | — | 2 |
| 158 | 154.3.33.58/31 | 154.3.33.58 to 154.3.33.59 | — | 2 |
| 159 | 154.3.33.60/31 | 154.3.33.60 to 154.3.33.61 | — | 2 |
| 160 | 154.3.33.62/31 | 154.3.33.62 to 154.3.33.63 | — | 2 |
| 161 | 154.3.33.64/31 | 154.3.33.64 to 154.3.33.65 | — | 2 |
| 162 | 154.3.33.66/31 | 154.3.33.66 to 154.3.33.67 | — | 2 |
| 163 | 154.3.33.68/31 | 154.3.33.68 to 154.3.33.69 | — | 2 |
| 164 | 154.3.33.70/31 | 154.3.33.70 to 154.3.33.71 | — | 2 |
| 165 | 154.3.33.72/31 | 154.3.33.72 to 154.3.33.73 | — | 2 |
| 166 | 154.3.33.74/31 | 154.3.33.74 to 154.3.33.75 | — | 2 |
| 167 | 154.3.33.76/31 | 154.3.33.76 to 154.3.33.77 | — | 2 |
| 168 | 154.3.33.78/31 | 154.3.33.78 to 154.3.33.79 | — | 2 |
| 169 | 154.3.33.80/31 | 154.3.33.80 to 154.3.33.81 | — | 2 |
| 170 | 154.3.33.82/31 | 154.3.33.82 to 154.3.33.83 | — | 2 |
| 171 | 154.3.33.84/31 | 154.3.33.84 to 154.3.33.85 | — | 2 |
| 172 | 154.3.33.86/31 | 154.3.33.86 to 154.3.33.87 | — | 2 |
| 173 | 154.3.33.88/31 | 154.3.33.88 to 154.3.33.89 | — | 2 |
| 174 | 154.3.33.90/31 | 154.3.33.90 to 154.3.33.91 | — | 2 |
| 175 | 154.3.33.92/31 | 154.3.33.92 to 154.3.33.93 | — | 2 |
| 176 | 154.3.33.94/31 | 154.3.33.94 to 154.3.33.95 | — | 2 |
| 177 | 154.3.33.96/31 | 154.3.33.96 to 154.3.33.97 | — | 2 |
| 178 | 154.3.33.98/31 | 154.3.33.98 to 154.3.33.99 | — | 2 |
| 179 | 154.3.33.100/31 | 154.3.33.100 to 154.3.33.101 | — | 2 |
| 180 | 154.3.33.102/31 | 154.3.33.102 to 154.3.33.103 | — | 2 |
| 181 | 154.3.33.104/31 | 154.3.33.104 to 154.3.33.105 | — | 2 |
| 182 | 154.3.33.106/31 | 154.3.33.106 to 154.3.33.107 | — | 2 |
| 183 | 154.3.33.108/31 | 154.3.33.108 to 154.3.33.109 | — | 2 |
| 184 | 154.3.33.110/31 | 154.3.33.110 to 154.3.33.111 | — | 2 |
| 185 | 154.3.33.112/31 | 154.3.33.112 to 154.3.33.113 | — | 2 |
| 186 | 154.3.33.114/31 | 154.3.33.114 to 154.3.33.115 | — | 2 |
| 187 | 154.3.33.116/31 | 154.3.33.116 to 154.3.33.117 | — | 2 |
| 188 | 154.3.33.118/31 | 154.3.33.118 to 154.3.33.119 | — | 2 |
| 189 | 154.3.33.120/31 | 154.3.33.120 to 154.3.33.121 | — | 2 |
| 190 | 154.3.33.122/31 | 154.3.33.122 to 154.3.33.123 | — | 2 |
| 191 | 154.3.33.124/31 | 154.3.33.124 to 154.3.33.125 | — | 2 |
| 192 | 154.3.33.126/31 | 154.3.33.126 to 154.3.33.127 | — | 2 |
| 193 | 154.3.33.128/31 | 154.3.33.128 to 154.3.33.129 | — | 2 |
| 194 | 154.3.33.130/31 | 154.3.33.130 to 154.3.33.131 | — | 2 |
| 195 | 154.3.33.132/31 | 154.3.33.132 to 154.3.33.133 | — | 2 |
| 196 | 154.3.33.134/31 | 154.3.33.134 to 154.3.33.135 | — | 2 |
| 197 | 154.3.33.136/31 | 154.3.33.136 to 154.3.33.137 | — | 2 |
| 198 | 154.3.33.138/31 | 154.3.33.138 to 154.3.33.139 | — | 2 |
| 199 | 154.3.33.140/31 | 154.3.33.140 to 154.3.33.141 | — | 2 |
| 200 | 154.3.33.142/31 | 154.3.33.142 to 154.3.33.143 | — | 2 |
| 201 | 154.3.33.144/31 | 154.3.33.144 to 154.3.33.145 | — | 2 |
| 202 | 154.3.33.146/31 | 154.3.33.146 to 154.3.33.147 | — | 2 |
| 203 | 154.3.33.148/31 | 154.3.33.148 to 154.3.33.149 | — | 2 |
| 204 | 154.3.33.150/31 | 154.3.33.150 to 154.3.33.151 | — | 2 |
| 205 | 154.3.33.152/31 | 154.3.33.152 to 154.3.33.153 | — | 2 |
| 206 | 154.3.33.154/31 | 154.3.33.154 to 154.3.33.155 | — | 2 |
| 207 | 154.3.33.156/31 | 154.3.33.156 to 154.3.33.157 | — | 2 |
| 208 | 154.3.33.158/31 | 154.3.33.158 to 154.3.33.159 | — | 2 |
| 209 | 154.3.33.160/31 | 154.3.33.160 to 154.3.33.161 | — | 2 |
| 210 | 154.3.33.162/31 | 154.3.33.162 to 154.3.33.163 | — | 2 |
| 211 | 154.3.33.164/31 | 154.3.33.164 to 154.3.33.165 | — | 2 |
| 212 | 154.3.33.166/31 | 154.3.33.166 to 154.3.33.167 | — | 2 |
| 213 | 154.3.33.168/31 | 154.3.33.168 to 154.3.33.169 | — | 2 |
| 214 | 154.3.33.170/31 | 154.3.33.170 to 154.3.33.171 | — | 2 |
| 215 | 154.3.33.172/31 | 154.3.33.172 to 154.3.33.173 | — | 2 |
| 216 | 154.3.33.174/31 | 154.3.33.174 to 154.3.33.175 | — | 2 |
| 217 | 154.3.33.176/31 | 154.3.33.176 to 154.3.33.177 | — | 2 |
| 218 | 154.3.33.178/31 | 154.3.33.178 to 154.3.33.179 | — | 2 |
| 219 | 154.3.33.180/31 | 154.3.33.180 to 154.3.33.181 | — | 2 |
| 220 | 154.3.33.182/31 | 154.3.33.182 to 154.3.33.183 | — | 2 |
| 221 | 154.3.33.184/31 | 154.3.33.184 to 154.3.33.185 | — | 2 |
| 222 | 154.3.33.186/31 | 154.3.33.186 to 154.3.33.187 | — | 2 |
| 223 | 154.3.33.188/31 | 154.3.33.188 to 154.3.33.189 | — | 2 |
| 224 | 154.3.33.190/31 | 154.3.33.190 to 154.3.33.191 | — | 2 |
| 225 | 154.3.33.192/31 | 154.3.33.192 to 154.3.33.193 | — | 2 |
| 226 | 154.3.33.194/31 | 154.3.33.194 to 154.3.33.195 | — | 2 |
| 227 | 154.3.33.196/31 | 154.3.33.196 to 154.3.33.197 | — | 2 |
| 228 | 154.3.33.198/31 | 154.3.33.198 to 154.3.33.199 | — | 2 |
| 229 | 154.3.33.200/31 | 154.3.33.200 to 154.3.33.201 | — | 2 |
| 230 | 154.3.33.202/31 | 154.3.33.202 to 154.3.33.203 | — | 2 |
| 231 | 154.3.33.204/31 | 154.3.33.204 to 154.3.33.205 | — | 2 |
| 232 | 154.3.33.206/31 | 154.3.33.206 to 154.3.33.207 | — | 2 |
| 233 | 154.3.33.208/31 | 154.3.33.208 to 154.3.33.209 | — | 2 |
| 234 | 154.3.33.210/31 | 154.3.33.210 to 154.3.33.211 | — | 2 |
| 235 | 154.3.33.212/31 | 154.3.33.212 to 154.3.33.213 | — | 2 |
| 236 | 154.3.33.214/31 | 154.3.33.214 to 154.3.33.215 | — | 2 |
| 237 | 154.3.33.216/31 | 154.3.33.216 to 154.3.33.217 | — | 2 |
| 238 | 154.3.33.218/31 | 154.3.33.218 to 154.3.33.219 | — | 2 |
| 239 | 154.3.33.220/31 | 154.3.33.220 to 154.3.33.221 | — | 2 |
| 240 | 154.3.33.222/31 | 154.3.33.222 to 154.3.33.223 | — | 2 |
| 241 | 154.3.33.224/31 | 154.3.33.224 to 154.3.33.225 | — | 2 |
| 242 | 154.3.33.226/31 | 154.3.33.226 to 154.3.33.227 | — | 2 |
| 243 | 154.3.33.228/31 | 154.3.33.228 to 154.3.33.229 | — | 2 |
| 244 | 154.3.33.230/31 | 154.3.33.230 to 154.3.33.231 | — | 2 |
| 245 | 154.3.33.232/31 | 154.3.33.232 to 154.3.33.233 | — | 2 |
| 246 | 154.3.33.234/31 | 154.3.33.234 to 154.3.33.235 | — | 2 |
| 247 | 154.3.33.236/31 | 154.3.33.236 to 154.3.33.237 | — | 2 |
| 248 | 154.3.33.238/31 | 154.3.33.238 to 154.3.33.239 | — | 2 |
| 249 | 154.3.33.240/31 | 154.3.33.240 to 154.3.33.241 | — | 2 |
| 250 | 154.3.33.242/31 | 154.3.33.242 to 154.3.33.243 | — | 2 |
| 251 | 154.3.33.244/31 | 154.3.33.244 to 154.3.33.245 | — | 2 |
| 252 | 154.3.33.246/31 | 154.3.33.246 to 154.3.33.247 | — | 2 |
| 253 | 154.3.33.248/31 | 154.3.33.248 to 154.3.33.249 | — | 2 |
| 254 | 154.3.33.250/31 | 154.3.33.250 to 154.3.33.251 | — | 2 |
| 255 | 154.3.33.252/31 | 154.3.33.252 to 154.3.33.253 | — | 2 |
| 256 | 154.3.33.254/31 | 154.3.33.254 to 154.3.33.255 | — | 2 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |